%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-formidable
Version:    1.0.14
Release:    6%{?dist}
Summary:    A Node.js module for parsing form data, especially file uploads
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/felixge/node-formidable
Source0:    http://registry.npmjs.org/formidable/-/formidable-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(findit)
BuildRequires:  npm(gently)
BuildRequires:  npm(hashish)
BuildRequires:  npm(urun)
BuildRequires:  npm(utest)
%endif

%description
This is a Node.js module for parsing form data, especially file uploads.
It was developed for Transloadit, a service focused on uploading and encoding
images and videos.

It offers:
 - Fast (~500mb/sec), non-buffering multipart parser
 - Automatically writing file uploads to disk
 - Low memory footprint
 - Graceful error handling
 - Very high test coverage


%prep
%setup -q -n package
rm -rf node-gently/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/formidable
cp -pr package.json index.js lib/ tool/ \
    %{buildroot}%{nodejs_sitelib}/formidable

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs test/run.js
%endif


%files
%doc LICENSE Readme.md example/
%{nodejs_sitelib}/formidable


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.14-2
- restrict to compatible arches

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.14-1
- update to upstream release 1.0.14
- patch for node version now fixed upstream

* Wed Mar 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.13-1
- update to upstream release 1.0.13

* Fri Mar 15 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.12-1
- update to upstream release 1.0.12
- use LICENSE file that is now included in the tarball

* Thu Feb 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.11-3
- add copy of LICENSE from upstream

* Wed Feb 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.11-2
- add npm(urun) to BuildRequires

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.11-1
- initial package
